org.richfaces.component

## Enum UIMediaOutput.Properties

- java.lang.Object
- - java.lang.Enum<UIMediaOutput.Properties>
  - - org.richfaces.component.UIMediaOutput.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIMediaOutput.Properties>
  Enclosing class:
    UIMediaOutput

      protected static enum UIMediaOutput.Properties
      extends Enum<UIMediaOutput.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `align`
    `archive`
    `border`
    `cacheable`
    `charset`
    `classid`
    `codebase`
    `codetype`
    `converter`
    `coords`
    `createContent`
    `declare`
    `dir`
    `disabled`
    `element`
    `expires`
    `fileName`
    `hreflang`
    `hspace`
    `ismap`
    `lang`
    `lastModified`
    `mimeType`
    `onblur`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `rel`
    `rev`
    `shape`
    `standby`
    `style`
    `styleClass`
    `tabindex`
    `target`
    `title`
    `type`
    `uriAttribute`
    `usemap`
    `value`
    `vspace`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIMediaOutput.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIMediaOutput.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final UIMediaOutput.Properties accesskey

    - #### align

          public static final UIMediaOutput.Properties align

    - #### archive

          public static final UIMediaOutput.Properties archive

    - #### border

          public static final UIMediaOutput.Properties border

    - #### cacheable

          public static final UIMediaOutput.Properties cacheable

    - #### charset

          public static final UIMediaOutput.Properties charset

    - #### classid

          public static final UIMediaOutput.Properties classid

    - #### codebase

          public static final UIMediaOutput.Properties codebase

    - #### codetype

          public static final UIMediaOutput.Properties codetype

    - #### converter

          public static final UIMediaOutput.Properties converter

    - #### coords

          public static final UIMediaOutput.Properties coords

    - #### createContent

          public static final UIMediaOutput.Properties createContent

    - #### declare

          public static final UIMediaOutput.Properties declare

    - #### dir

          public static final UIMediaOutput.Properties dir

    - #### disabled

          public static final UIMediaOutput.Properties disabled

    - #### element

          public static final UIMediaOutput.Properties element

    - #### expires

          public static final UIMediaOutput.Properties expires

    - #### fileName

          public static final UIMediaOutput.Properties fileName

    - #### hreflang

          public static final UIMediaOutput.Properties hreflang

    - #### hspace

          public static final UIMediaOutput.Properties hspace

    - #### ismap

          public static final UIMediaOutput.Properties ismap

    - #### lang

          public static final UIMediaOutput.Properties lang

    - #### lastModified

          public static final UIMediaOutput.Properties lastModified

    - #### mimeType

          public static final UIMediaOutput.Properties mimeType

    - #### onblur

          public static final UIMediaOutput.Properties onblur

    - #### onclick

          public static final UIMediaOutput.Properties onclick

    - #### ondblclick

          public static final UIMediaOutput.Properties ondblclick

    - #### onfocus

          public static final UIMediaOutput.Properties onfocus

    - #### onkeydown

          public static final UIMediaOutput.Properties onkeydown

    - #### onkeypress

          public static final UIMediaOutput.Properties onkeypress

    - #### onkeyup

          public static final UIMediaOutput.Properties onkeyup

    - #### onmousedown

          public static final UIMediaOutput.Properties onmousedown

    - #### onmousemove

          public static final UIMediaOutput.Properties onmousemove

    - #### onmouseout

          public static final UIMediaOutput.Properties onmouseout

    - #### onmouseover

          public static final UIMediaOutput.Properties onmouseover

    - #### onmouseup

          public static final UIMediaOutput.Properties onmouseup

    - #### rel

          public static final UIMediaOutput.Properties rel

    - #### rev

          public static final UIMediaOutput.Properties rev

    - #### shape

          public static final UIMediaOutput.Properties shape

    - #### standby

          public static final UIMediaOutput.Properties standby

    - #### style

          public static final UIMediaOutput.Properties style

    - #### styleClass

          public static final UIMediaOutput.Properties styleClass

    - #### tabindex

          public static final UIMediaOutput.Properties tabindex

    - #### target

          public static final UIMediaOutput.Properties target

    - #### title

          public static final UIMediaOutput.Properties title

    - #### type

          public static final UIMediaOutput.Properties type

    - #### uriAttribute

          public static final UIMediaOutput.Properties uriAttribute

    - #### usemap

          public static final UIMediaOutput.Properties usemap

    - #### value

          public static final UIMediaOutput.Properties value

    - #### vspace

          public static final UIMediaOutput.Properties vspace

  - ### Method Detail

    - #### values

          public static UIMediaOutput.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIMediaOutput.Properties c : UIMediaOutput.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIMediaOutput.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.